# gdk::prelude::DeviceExtManual - Rust
API documentation for the Rust `DeviceExtManual` trait in crate `gdk`.
Keywords: rust, rustlang, rust-lang, DeviceExtManual

# Trait gdk::prelude::DeviceExtManual [−] [src]

    pub trait DeviceExtManual {
        fn get_axis(&self, axes: &mut [f64], use_: AxisUse, value: &mut f64) -> bool;
    }

## Required Methods

### `fn get_axis(&self, axes: &mut [f64], use_: AxisUse, value: &mut f64) -> bool`

## Implementors

- `impl<O: IsA<Device>> DeviceExtManual for O`

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result
+
  Collapse/expand all sections

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)